# List API failure records Returns failure records of API usage that are generated by your Zuora tenant within a specified time range. You can filter the failure records by one or multiple of the following fields: - API path name - HTTP method - Response code - Request ID - Track ID Endpoint: GET /system-health/api-requests/failures Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `path` (string) Filters the volume summary by API path name. You can refer to the API listed in the API System Health Dashboard for the path name. Example: "/v1/accounts/{account-key}" - `httpMethod` (string) Filters the volume summary by http method. Example: "POST" - `responseCode` (string) Filters the volume summary by response code. Example: "INVALID_TYPE" - `requestId` (string) Filters the volume summary by request ID. - `trackId` (string) Filters the volume summary by track ID. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name. If you do not specify any sortable field, the response data is sorted by the timerange field in descending order. operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The - operator indicates an ascending order. - The + operator indicates a descending order. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - timerange - latency - http_method - http_status - api Example: "sort=+latency" - `startTime` (string, required) Start time of the volume summary. Format: yyyy-MM-dd'T'HH:mmZ. Example: "2022-09-22T09:07+0800" - `endTime` (string, required) End time of the volume summary. Format: yyyy-MM-dd'T'HH:mmZ Example: "2022-09-29T09:07+0800" ## Response 200 fields (application/json): - `data` (array) List of Failed API records - `data.tracing_identifier` (string,null) A unique identifier for tracing the request. - `data.latency` (integer) The time taken to process the request in milliseconds. - `data.ip` (string) The IP address from which the request originated. - `data.response_body` (string) The body of the response returned by the API. - `data.request_body` (string) The body of the request sent to the API. - `data.user_id` (string) The ID of the user making the request. - `data.track_id` (string,null) A tracking identifier for the request. - `data.request_path` (string) The complete path of the API request triggered by the user. - `data.http_status` (string) The HTTP status code returned by the API. - `data.zuora_response_code` (string) The response code returned by Zuora. - `data.api` (string) The path of the API request. - `data.request_id` (string) A unique identifier for the API request. - `data.user_agent` (string) The user agent string of the client making the request. - `data.timestamp` (string) The timestamp when the request was made. - `data.status` (string) The status of the request. Enum: "Error" - `data.http_method` (string) Type of request method performed for the API endpoint. - `nextPage` (string) URL to the next page of results for pagination. ## Response 400 fields (application/json): - `error` (string) Error status text. - `message` (string) The associated reason. - `path` (string) The system health api path having error. - `status` (integer) Error status code. - `timestamp` (string) The time when error happens.